## Delete a Token

### DELETE /v2.0/projects/{projectId}/snippets/{snippetId}

### Try it

### Delete a Token

### cURL

```
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/snippets/{snippetId} \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/snippets/{snippetId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/snippets/{snippetId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **204**: Token deleted.

### Error Responses

```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Authorizations

- **X-API-Key**: required in the HTTP header. Supply the API Key for authentication.

#### Headers

- **Accept**: The `Accept` header specifies the media type that the client expects in the response: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

#### Path Parameters

- **projectId**: The unique identifier for the Project. (length: 24, pattern: `^[a-z0-9]{24}$`)
- **snippetId**: The unique identifier for the Token. (length: 24, pattern: `^[a-z0-9]{24}$`)

**Last modified on July 8, 2026**
